<?php
/*	
*	---------------------------------------------------------------------
*	MNKY Theme Setup
*	--------------------------------------------------------------------- 
*/


// Set content width
if ( ! isset( $content_width ) ) {
	$content_width = 980;
}
if ( ! function_exists( 'mnky_theme_setup' ) ) {
	function mnky_theme_setup() {

		// Register menu
		register_nav_menus( array(
			'primary' => esc_html__( 'Main Navigation', 'vital' ),
			'secondary' => esc_html__( 'Secondary Navigation', 'vital' ),
			'mobile' => esc_html__( 'Mobile Navigation', 'vital' )
		) );

		// Menu fallback
		function mnky_no_menu(){
			$url = admin_url( 'nav-menus.php');
			echo '<div class="menu-container"><ul class="menu"><li><a href="'. esc_url($url) .'">'.esc_html__( 'Click here to assign menu!', 'vital' ).'</a></li></ul></div>';
		}   

		// Thumbnails
		add_theme_support( 'post-thumbnails' );

		// Title tag
		add_theme_support( 'title-tag' );

		// Post formats
		add_theme_support( 'post-formats', array( 'gallery', 'video', 'link' ) );

		// Feeds
		add_theme_support( 'automatic-feed-links' );

		// HTML5
		add_theme_support( 'html5', array( 'gallery', 'caption' ) );
		
		// Widget selective refresh
		add_theme_support( 'customize-selective-refresh-widgets' );

		// Languages
		load_theme_textdomain( 'vital', get_template_directory() . '/languages' );
		
		// Editor style
		add_editor_style( 'custom-editor-style.css' );
		
		// Declar Massive Addons support
		add_theme_support( 'massive-addons' );

	}
}
add_action( 'after_setup_theme', 'mnky_theme_setup' );





// Redirect to "Theme Options/Import Data" after activation
global $pagenow;
if ( is_admin() && isset( $_GET['activated'] ) && $pagenow == 'themes.php' ) {
	wp_redirect( admin_url( 'themes.php?page=vital-welcome' ) );
}
